Texa Desk Application API · Automation rule
Add a new automation rule
POST/
Add a new automation rule to account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Body application/json
namestringRule name
descriptionstringThe description about the automation and actions
event_namestringThe event when you want to execute the automation actions One of: conversation_created, conversation_updated, conversation_resolved, message_created.
activebooleanEnable/disable automation rule
actionsarray of objectArray of actions which you want to perform when condition matches, e.g add label support if message contains content help.
conditionsarray of objectArray of conditions on which conversation filter would work, e.g message content contains text help.
Responses
200Success
payloadarray of object or objectResponse payload that contains automation rule(s)
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring